import { AufnahmeClient } from "#components/Ausweis/types.js";
import { AuditType, hidden } from "../audits/hidden.js";

export function auditHeizungJuengerDreiJahre(gebaeude: AufnahmeClient): boolean {

	if (gebaeude.baujahr_heizung && gebaeude.baujahr_heizung.length > 0) {
		if (!hidden.has(AuditType.HEIZUNG_JUENGER_DREI_JAHRE)) {
			return (
				(gebaeude.baujahr_heizung.sort()[0] >= (new Date().getFullYear()) - 3)
			);
		}
	}

	return false
}
